## libcsfml 1.5

=== CSFML/src/SFML/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export CFLAGS     = -W -Wall -pedantic -fPIC -Wno-unused -I../.. -I../../../include -DNDEBUG -DCSFML_EXPORTS -O2
 export LDFLAGS    = -shared
 export LIBPATH    = ../../../lib
-export VERSION    = 1.4
+export VERSION    = 1.5
 export CP         = cp
 export LN         = ln
 export LNFLAGS    = -s -f
