## libcsfml 1.6

=== CSFML/Makefile ===

all: csfml

csfml:
	@(cd ./src/SFML && $(MAKE))

install:
	@(cd ./src/SFML && $(MAKE) $@)

clean:
	@(cd ./src/SFML && $(MAKE) $@)

mrproper:
	@(cd ./src/SFML && $(MAKE) $@)
