=== debian/changelog ===
libcsfml (2.1-2) unstable; urgency=low

  * Fix Vcs-Browser field in debian/control

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 16 Dec 2013 15:24:15 +0000

libcsfml (2.1-1) unstable; urgency=low

  * New upstream release 2.1
  * Added myself to the list of uploaders
  * Change package priority from extra to optional
  * Add dependency to libgl-dev and libglu-dev to libcsfml-dev
  * Modify debian/copyright to use the machine-readable format
    (http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/)
  * Added doc-base file for API documentation
  * Moved debian/watch source to the CSFML github repository
  * Upgrade source format to 3.0 and debhelper 9 using dh
  * Upgrade to standards version 3.9.5
  * Updated package description to fix typos (Closes: #704462)
  * Added multiarch support
  * Added symbols files for the libraries
  * Removed old conflicts on libcsfml1.deb3-dev
  * Added lintian override hardening-no-fortify-functions for
    libcsfml-network2

 -- James Cowgill <james410@cowgill.org.uk>  Fri, 15 Nov 2013 14:32:32 +0000

libcsfml (1.6-1) unstable; urgency=low

  * New upstream 1.6 release
  * Bump standards version (no changes)
  * Rename library packages due to soname change
  * Add a -doc package

 -- Christoph Egger <christoph@debian.org>  Sun, 09 May 2010 11:48:39 +0200

libcsfml (1.5-3) unstable; urgency=low

  * Check for CSFML_SYSTEM_FREEBSD alternatively to _LINUX if X11 is
    needed

 -- Christoph Egger <christoph@debian.org>  Sat, 26 Dec 2009 19:06:30 +0100

libcsfml (1.5-2) unstable; urgency=low

  * Change dh_chlean -k to dh_prep and therefor bump debhelper to 7
  * Get rid of strange Make error on systems where topgit is not
    installed (e.g. buildds, chroots)
  * Line Break Depends/Build-Depends
  * Update my Email Address
  * Fix Build on kFreeBSD and GNU/Hurd

 -- Christoph Egger <christoph@debian.org>  Fri, 18 Dec 2009 13:31:53 +0100

libcsfml (1.5-1) unstable; urgency=low

  * New upstream 1.5 release
    * Builds against newer libsfml (Closes: #542982)
    * SONAME bump for libraries
    * Drop debian/gcc4.3.diff (implemented upstream)
    * Refresh debian/correct-destdir
  * Improve descriptions
  * Clean up rules file -- some quirks no longer needed because of
    improvements in upstream buildsystem
  * Bump standards version to 3.8.3 (no changes)
  * remove duplicate priority entries in control
  * Add README.source

 -- Christoph Egger <debian@christoph-egger.org>  Wed, 30 Sep 2009 01:29:32 +0200

libcsfml (1.4-2) unstable; urgency=low

  * should really go to unstable

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 29 Mar 2009 20:47:52 +0200

libcsfml (1.4-1) experimental; urgency=low

  [ Christoph Egger ]
  * New Upstream Version
  * Drop patches now upstream
    * RM: add_destdir_to_makefile.patch
    * RM: fix_soname.patch
  * Convert patch system to topgit
  * Fix problem in upstream's destdir implementation
  * Change my Mailaddress
  * Wrap -dev package's depends

  [ Gonéri Le Bouder ]
  * libcsfml-dev conflicts on/replaces libcsfml1.deb3-dev

 -- Christoph Egger <debian@christoph-egger.org>  Tue, 20 Jan 2009 19:33:08 +0100

libcsfml (1.3-2) unstable; urgency=low

  * Dropping depends on old libsfml packages that should not be there
    the depends automatically pulled in should be enough here

 -- Christoph Egger <Christoph.Egger@gmx.de>  Tue, 09 Sep 2008 11:11:46 +0200

libcsfml (1.3-1) unstable; urgency=low

  * Initial release (Closes: #481665)

 -- Christoph Egger <Christoph.Egger@gmx.de>  Wed, 25 Jun 2008 16:10:19 +0200
