=== debian/watch ===
# See uscan(1) for format
version=3

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/CSFML-$1.tar.gz/ \
  https://github.com/LaurentGomila/CSFML/tags .*/v?(\d\S*)\.tar\.gz
