=== src/SFML/Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # all source files
 set(SRC
     ${INCROOT}/Export.h
+    ${SRCROOT}/BlendMode.cpp
     ${INCROOT}/BlendMode.h
     ${SRCROOT}/CircleShape.cpp
     ${SRCROOT}/CircleShapeStruct.h
@@ -19,6 +20,7 @@
     ${SRCROOT}/Font.cpp
     ${SRCROOT}/FontStruct.h
     ${INCROOT}/Font.h
+    ${INCROOT}/FontInfo.h
     ${INCROOT}/Glyph.h
     ${SRCROOT}/Image.cpp
     ${SRCROOT}/ImageStruct.h
@@ -67,4 +69,4 @@
 # define the csfml-graphics target
 csfml_add_library(csfml-graphics
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_GRAPHICS_LIBRARY} ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY})
+                  DEPENDS ${SFML_GRAPHICS_LIBRARY} ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_GRAPHICS_DEPENDENCIES} ${SFML_WINDOW_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})
