=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,15 @@
     ${INCROOT}/Event.h
     ${SRCROOT}/Joystick.cpp
     ${INCROOT}/Joystick.h
+    ${INCROOT}/JoystickIdentification.h
     ${SRCROOT}/Keyboard.cpp
     ${INCROOT}/Keyboard.h
     ${SRCROOT}/Mouse.cpp
     ${INCROOT}/Mouse.h
+    ${SRCROOT}/Sensor.cpp
+    ${INCROOT}/Sensor.h
+    ${SRCROOT}/Touch.cpp
+    ${INCROOT}/Touch.h
     ${INCROOT}/Types.h
     ${SRCROOT}/VideoMode.cpp
     ${INCROOT}/VideoMode.h
@@ -27,4 +32,4 @@
 # define the csfml-window target
 csfml_add_library(csfml-window
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY})
+                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_WINDOW_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})
