=== debian/changelog ===
libcsfml (2.3-3) unstable; urgency=medium

  * debian/control:
    - Drop libcsfml2.3-dbg and automatic debug packages instead.
    - Use secure Vcs URLs.
    - Bump standards to 3.9.8.
    - Use my debian.org email address.
  * debian/tests:
    - Add autopkgtests.
  * debian/rules:
    - Drop get-orig-source target - use uscan instead.

 -- James Cowgill <jcowgill@debian.org>  Tue, 28 Jun 2016 21:09:02 +0100

libcsfml (2.3-2) unstable; urgency=medium

  * Upload 2.3 to unstable.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 16 Jul 2015 18:27:20 +0100

libcsfml (2.3-1) experimental; urgency=medium

  * New upstream version.
  * Rename packages to libcsfml-*2.3 due to SONAME bump.
  * Refresh patches and symbols for new version.

  * debian/control:
    - Undo debug package rename (has more downsides than advantages).
    - Bump required SFML version to 2.3.
    - Use jquery from libjs-query in libcsfml-doc.
    - Use cgit Vcs-Browser URL.
  * debian/watch:
    - New upstream GitHub URL.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 10 Jun 2015 00:32:33 +0100

libcsfml (2.2-1) experimental; urgency=low

  * New upstream version.
  * Rename packages to libcsfml-*2.2 due to SONAME bump.

  * debian/control:
    - Fix capitalization of "Debian Games Team".
    - Rename libcsfml2-dbg to libcsfml-dbg.
    - Add some suggests to libcsfml-dev.
    - Bump required SFML version to 2.2
    - Bump standards version - no changes
  * debian/copyright:
    - Update dates and remove copyright for the cmake module patch.
  * debian/rules:
    - Use uscan --download-current-version.
    - Update cmake options (some were renamed).
    - Enable all hardening flags.
  * debian/patches:
    - Refresh hurd patch and add 01_ prefix.
    - Drop sfml-cmake-module.patch and use FindSFML from libsfml-dev instead.
    - Add 02_build-doc-once.patch to prevent documentation building twice.
    - Add 03_remove-googleapi-css.patch to remove googleapi css in
      doc/header.htm.
  * debian/*.symbols:
    - Update all symbol files for 2.2
    - Add Build-Depends-Package field.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 14 Mar 2015 15:57:23 +0000
