=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libcsfml
 Section: libs
 Priority: optional
-Maintainer: Debian Games team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Christoph Egger <christoph@debian.org>,
- James Cowgill <james410@cowgill.org.uk>
-Vcs-Git: git://anonscm.debian.org/pkg-games/libcsfml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libcsfml.git
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Christoph Egger <christoph@debian.org>,
+ James Cowgill <jcowgill@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake (>= 2.8.9),
  doxygen,
- libsfml-dev (>= 2.1)
-Standards-Version: 3.9.5
+ libsfml-dev (>= 2.3)
+Standards-Version: 3.9.8
 Homepage: http://www.sfml-dev.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/libcsfml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libcsfml.git
+Testsuite: autopkgtest
 
 Package: libcsfml-dev
 Section: libdevel
@@ -20,11 +22,12 @@
 Depends: ${misc:Depends},
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- libcsfml-audio2 (= ${binary:Version}),
- libcsfml-graphics2 (= ${binary:Version}),
- libcsfml-network2 (= ${binary:Version}),
- libcsfml-system2 (= ${binary:Version}),
- libcsfml-window2 (= ${binary:Version})
+ libcsfml-audio2.3 (= ${binary:Version}),
+ libcsfml-graphics2.3 (= ${binary:Version}),
+ libcsfml-network2.3 (= ${binary:Version}),
+ libcsfml-system2.3 (= ${binary:Version}),
+ libcsfml-window2.3 (= ${binary:Version})
+Suggests: libcsfml-doc
 Description: Libraries for the C Binding of SFML - Development Files
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -38,7 +41,7 @@
 Package: libcsfml-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: Libraries for the C Binding of SFML - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -49,28 +52,7 @@
  .
  This package includes documentation for all CSFML libraries.
 
-Package: libcsfml2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-  libcsfml-audio2 (= ${binary:Version}) |
-  libcsfml-graphics2 (= ${binary:Version}) |
-  libcsfml-network2 (= ${binary:Version}) |
-  libcsfml-system2 (= ${binary:Version}) |
-  libcsfml-window2 (= ${binary:Version})
-Description: Libraries for the C Binding of SFML - Debug Files
- SFML is a modern multimedia library offering a wide range of subsystems
- useful to produce a multimedia app. It offers OpenGL integration for
- Hardware accelerated Graphics, Windowing and Input support, Audio and
- Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
- CSFML provides the bindings needed to use SFML with the C programming
- language.
- .
- This package includes debug symbols for all CSFML libraries.
-
-Package: libcsfml-audio2
+Package: libcsfml-audio2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +68,7 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libcsfml-graphics2
+Package: libcsfml-graphics2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +84,7 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libcsfml-system2
+Package: libcsfml-system2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -118,7 +100,7 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling
 
-Package: libcsfml-network2
+Package: libcsfml-network2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -133,7 +115,7 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libcsfml-window2
+Package: libcsfml-window2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
